EINFO(1)

NAME
einfo - look up general NCBI Entrez database information

SYNOPSIS
einfo (edirect -info) [-help] [-dbs] [-db name] [-fields] [-links]

DESCRIPTION
einfo looks up general information about either an individual NCBI Entrez database with which other edirect(1) commands can work or the set of available databases as a whole. It has two implementations: a shell implementation on top of nquire(1) and a traditional Perl implementation that amounts to running edirect -info, enabled by setting the environment variable USE_NEW_EDIRECT to a false value as described in the ENVIRONMENT section. einfo is also the name of an tool for accessing contents of local EPUB files. To resolve this ambiguity, Debian systems with both EPUB utilities and Entrez Direct installed arrange for the EPUB-related executable to have the name einfo.epub(1) and for einfo to be a wrapper script that examines its usage and proceeds to run whichever of edirect -info or einfo.epub(1) looks like a better fit.

OPTIONS

  Database Selection

-dbs
    Print a plain-text list of all available Entrez databases.

-db name
    Print information on the specified Entrez database (or all), as an XML eInfoResult document.

  Data Summaries

-fields
    Print just an XML-structured summary of fields in the specified database.

-links
    Print just an XML-structured summary of links to and from the specified database.

  Miscellaneous

-help
    Print usage information, complete with samples of -fields and -links XML output.

ENVIRONMENT

USE_NEW_EDIRECT
    Whether to use the current shell implementation or revert to the historical Perl implementation. Canonical true values are 1, on (case-insensitive), true (case-insensitive), and yes (case-insensitive); canonical false values are 0, off (case-insensitive), false (case-insensitive), and no (case-insensitive).

SEE ALSO
edirect(1), einfo.epub(1), elink(1), nquire(1).